%define		main_version		54
%define		daily_version		1763
%define		bytecode_version	217
%define		safebrowsing_version	4081
%define		database_version	20130807
%define		rel	1
Summary:	Virus databases for clamav
Summary(hu.UTF-8):	Vírus adatbázis clamav-hoz
Summary(pl.UTF-8):	Bazy wirusów dla clamava
Name:		clamav-database
Version:	%{main_version}.%{daily_version}.%{bytecode_version}.%{safebrowsing_version}
Release:	%{database_version}.%{rel}
License:	GPL
Group:		Applications/Databases
Source0:	http://db.local.clamav.net/main.cvd
# Source0-md5:	eb12490fda87d602e476d4b163f8a34b
Source1:	http://db.local.clamav.net/daily.cvd
# Source1-md5:	e36cb1d4f66a076b5dfd4c18b4df48bf
Source2:	http://db.local.clamav.net/bytecode.cvd
# Source2-md5:	c30b0a5c60b93dae9552c11253052e6b
Source3:	http://db.local.clamav.net/safebrowsing.cvd
# Source3-md5:	f0a8fcf360d170a45032f2e4d004a1c6
URL:		http://www.clamav.net/
BuildRequires:	file
Requires:	clamav
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Virus databases for clamav (updated %{database_version}).

%description  -l hu.UTF-8
Vírus adatbázis clamavhoz (%{database_version}).

%description -l pl.UTF-8
Bazy wirusów dla clamava (aktualizowane %{database_version}).

%prep
%setup -qcT
cp -a %{SOURCE0} %{SOURCE1} %{SOURCE2} %{SOURCE3} .

%build
main_version=$(file main.cvd | awk -F, '/version/{print $2}' | awk '{print $NF}')
daily_version=$(file daily.cvd | awk -F, '/version/{print $2}' | awk '{print $NF}')
bytecode_version=$(file bytecode.cvd | awk -F, '/version/{print $2}' | awk '{print $NF}')
safebrowsing_version=$(file safebrowsing.cvd | awk -F, '/version/{print $2}' | awk '{print $NF}')
if [ "$main_version" != %{main_version} ]; then
	: Update %%define main_version $main_version, and retry
	exit 1
fi
if [ "$daily_version" != %{daily_version} ]; then
	: Update %%define daily_version $daily_version, and retry
	exit 1
fi
if [ "$bytecode_version" != %{bytecode_version} ]; then
	: Update %%define bytecode_version $bytecode_version, and retry
	exit 1
fi
if [ "$safebrowsing_version" != %{safebrowsing_version} ]; then
	: Update %%define safebrowsing_version $safebrowsing_version, and retry
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/var/lib/clamav
install *.cvd $RPM_BUILD_ROOT/var/lib/clamav

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p %{_sbindir}/clamav-post-updatedb

%files
%defattr(644,root,root,755)
%attr(644,clamav,root) %verify(not md5 mtime size) /var/lib/clamav/*.cvd
%changelog
* Wed Aug 07 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/clamav-database.git;a=log;h=master

* Wed Aug 07 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9d03393
- daily_version 1763

* Wed Aug 07 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 2c809cd
- md5

* Wed Aug 07 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 40580ed
- up to 20130807

* Thu Aug 09 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 1bc32b4
- up to 20120809

* Fri Dec 03 2010 lisu <lisu@pld-linux.org> 4f44664
- 53.1235.93.2563-20101203

* Mon Nov 22 2010 lisu <lisu@pld-linux.org> 8861a59
- 53.1229.91.2509-20101122

* Mon Nov 15 2010 lisu <lisu@pld-linux.org> fa52293
- 53.1225.90.2509-20101115

* Mon Nov 08 2010 lisu <lisu@pld-linux.org> 7176fbd
- 52.1221.89.2505-20101108

* Mon Oct 25 2010 lisu <lisu@pld-linux.org> 5e63fa2
- 52.1217.86.2472-20101025

* Wed Oct 13 2010 lisu <lisu@pld-linux.org> d7e4974
- update md5 for safebrowsinf.cvd

* Wed Oct 13 2010 lisu <lisu@pld-linux.org> e0d05f3
- 52.1212.80.2443-20101013

* Mon Oct 04 2010 lisu <lisu@pld-linux.org> 7ceaa37
- 52.1207.77.2422-20101004

* Mon Sep 27 2010 lisu <lisu@pld-linux.org> 8f52c56
- bytecode.cvd up to 69

* Mon Sep 27 2010 lisu <lisu@pld-linux.org> ebd2f00
- 52.1202.68.2405-20100927

* Mon Sep 20 2010 lisu <lisu@pld-linux.org> 389fc9e
- up daily.cvd to 1197
- add bytecode.cvd and safebrowsing.cvd virus databases

* Thu Sep 09 2010 lisu <lisu@pld-linux.org> 084cdd2
- 52.1185-20100909

* Thu Sep 02 2010 lisu <lisu@pld-linux.org> fa1a8c0
- 52.1178-20100902

* Tue Aug 24 2010 lisu <lisu@pld-linux.org> 43903f7
- 52.1164-20100824

* Tue Aug 10 2010 lisu <lisu@pld-linux.org> 1db09b8
- 52.1152-20100810

* Mon Aug 02 2010 lisu <lisu@pld-linux.org> 3c86bc7
- 52.1147-20100802

